package cn.wisenergy.oaMapper;

import cn.wisenergy.oaModel.OaProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @description: 项目和商机的mapper
 * @author: nh
 * @create: 2021-04-20 11:03
 **/
public interface ProjectAndBoMapper {

    List<OaProject> getListOaProjectByDept(@Param("oaDeptNo") String oaDeptNo,@Param("projectNameOrNo") String projectNameOrNo, @Param("oaProjectIds") List<String> oaProjectIds);

    List<OaProject> getListOaBoByDept(@Param("oaDeptNo") String oaDeptNo ,@Param("projectNameOrNo") String projectNameOrNo,  @Param("oaProjectIds") List<String> oaProjectIds);


    OaProject getProjectByNameAndNo(Map<String, Object> map);

    OaProject getBoByNameAndNo(Map<String, Object> map);
}
